Skip to main content

Update Device Time, Date and Timezone

PUT 

/v1/device/:deviceUid/time

Request change device time by deviceUid

Parameters

FieldTypeRequiredDescription
deviceUidstringrequiredUnique Device Identification

Body

content-type: application/json or application/x-www-form-urlencoded

FieldTypeDescription
timedatetime - YYYY-MM-DDTHH:MM:SSSet current device date & time e.g. 2017-11-22T09:26:49

Input must be without timezone offset. The offset will be taken from the timezone parameter
Accepted formats are:
- YYYY-MM-DDTHH:MM:SS.mmm (2017-11-22T09:26:49.345)
- YYYY-MM-DDTHH:MM:SS (2017-11-22T09:26:49)
- YYYY-MM-DDT:HH:MM (2017-11-22T09:26) Will be set as 2017-11-22T09:26:00
- UNIX timestamp (1616140800000)
- SQL TIMESTAMP (2013-01-01 00:00:00.000)
timezonestring - {Continent}/{City}Set device timezone by the IANA - List of all timezones can be found here - but read more about Tizen below.
ntpServerstringOptional NTP server, e.g.: pool.ntp.org

Remarks

Setting NTP server and timezone has side effects:

PlatformSide effect
TizenAfter calling this API, display Reboots!

Tizen has limited set of available timezones
RaspberryPiAfter calling this API, RPi Reboots backend server which can take up to 60 seconds!
During the reboot no JS API is available.
Always wait for Promise resolution.

Request

Responses

OK

Response Headers
    Content-Type
    Link

    Contains URL pointing to the result of this action. Keep making requests to this URL, until the response indicates, that the action was processed. For more information, refer to endpoint Get Device History.